Bug 810810 - (CVE-2012-2108) CVE-2012-2108 Csound: Stack-based buffer overflow in lpc_import
CVE-2012-2108 Csound: Stack-based buffer overflow in lpc_import
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120306,reported=2...
: Security
Depends On: 812721
Blocks: 810821
  Show dependency treegraph
 
Reported: 2012-04-09 05:10 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-04-09 05:10:17 EDT
A stack-based buffer-overflow was found in the lpc_import utility. If a specially crafted CSV file was opened by the lpc_import utility, it could cause the application to crash.

Reference:
http://secunia.com/secunia_research/2012-4/

Patch:
http://csound.git.sourceforge.net/git/gitweb.cgi?p=csound/csound5.git;a=commit;h=61d1df45ca9a52bab62892a3c3a13c41e6384505
Comment 1 Huzaifa S. Sidhpurwala 2012-04-16 01:30:56 EDT
Created csound tracking bugs for this issue

Affects: fedora-all [bug 812721]
Comment 2 Peter Robinson 2012-04-16 06:08:54 EDT
I'm in progress of moving our patches to the latest upstream release, is it fixed in a newer release?
Comment 3 Huzaifa S. Sidhpurwala 2012-04-16 06:15:21 EDT
Seems so.
Comment 4 Peter Robinson 2012-04-16 06:18:34 EDT
do you know the minimum release?
Comment 5 Huzaifa S. Sidhpurwala 2012-04-16 06:25:17 EDT
from the git log , version 5.17  seems to have all the patches discussed.
Comment 6 Peter Robinson 2012-04-16 06:28:33 EDT
Excellent, will work on merging our patch set and getting a new version in the coming days
Comment 7 Kurt Seifried 2012-04-16 15:33:58 EDT
Assigned CVE as per http://www.openwall.com/lists/oss-security/2012/04/16/9
Comment 8 Vincent Danen 2013-04-05 11:33:40 EDT
(In reply to comment #6)
> Excellent, will work on merging our patch set and getting a new version in
> the coming days

Peter, it doesn't seem like this ever happened?  The current version of csound in Fedora still appears vulnerable according to the changelog.
Comment 9 Peter Robinson 2013-04-18 10:05:36 EDT
I'm working on it as I get the time but they newer builds changed around the build system and a bunch of other stuff and I have to review and rebase patches so it's taking a little longer than I had hoped.
Comment 10 Vincent Danen 2015-08-22 11:15:10 EDT
Current Fedora has csound 6.03.2 which includes this fix.

Note You need to log in before you can comment on or make changes to this bug.